mr_bones_    14/11/02 01:50:49

  Modified:             moria-5.5.2.ebuild ChangeLog
  Log:
  EAPI=5; build with ncurses[tinfo] (bug #527654)
  
  (Portage version: 2.2.8-r2/cvs/Linux x86_64, unsigned Manifest commit)

Revision  Changes    Path
1.13                 games-roguelike/moria/moria-5.5.2.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-roguelike/moria/moria-5.5.2.ebuild?rev=1.13&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-roguelike/moria/moria-5.5.2.ebuild?rev=1.13&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-roguelike/moria/moria-5.5.2.ebuild?r1=1.12&r2=1.13

Index: moria-5.5.2.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/games-roguelike/moria/moria-5.5.2.ebuild,v
retrieving revision 1.12
retrieving revision 1.13
diff -u -r1.12 -r1.13
--- moria-5.5.2.ebuild  5 May 2010 20:28:21 -0000       1.12
+++ moria-5.5.2.ebuild  2 Nov 2014 01:50:49 -0000       1.13
@@ -1,8 +1,8 @@
-# Copyright 1999-2010 Gentoo Foundation
+# Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/games-roguelike/moria/moria-5.5.2.ebuild,v 
1.12 2010/05/05 20:28:21 mr_bones_ Exp $
+# $Header: /var/cvsroot/gentoo-x86/games-roguelike/moria/moria-5.5.2.ebuild,v 
1.13 2014/11/02 01:50:49 mr_bones_ Exp $
 
-EAPI=2
+EAPI=5
 inherit eutils toolchain-funcs games
 
 DESCRIPTION="Rogue-like D&D curses game similar to nethack (BUT BETTER)"
@@ -18,7 +18,9 @@
 KEYWORDS="amd64 ppc x86 ~x86-fbsd"
 IUSE=""
 
-DEPEND=">=sys-libs/ncurses-5"
+RDEPEND=">=sys-libs/ncurses-5"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig"
 
 S=${WORKDIR}/umoria
 
@@ -29,7 +31,8 @@
                "${FILESDIR}"/${PV}-gentoo-paths.patch \
                "${FILESDIR}"/${PV}-glibc.patch \
                "${FILESDIR}"/${PV}-fbsd.patch \
-               "${FILESDIR}"/${PV}-hours.patch
+               "${FILESDIR}"/${PV}-hours.patch \
+               "${FILESDIR}"/${PV}-warnings.patch
 
        for f in source/* unix/* ; do
                ln -s ${f} $(basename ${f})
@@ -39,10 +42,11 @@
                -e "s:David Grabiner:root:" \
                -e "s:GENTOO_DATADIR:${GAMES_DATADIR}/${PN}:" \
                -e "s:GENTOO_STATEDIR:${GAMES_STATEDIR}:" \
-               config.h \
-               || die "sed failed"
-       echo "#include <stdlib.h>" >> config.h
-       echo "#include <stdio.h>" >> config.h
+               config.h || die
+       {
+               echo "#include <stdlib.h>"
+               echo "#include <stdio.h>"
+       } >> config.h || die
        sed -i \
                -e "/^STATEDIR =/s:=.*:=\$(DESTDIR)${GAMES_STATEDIR}:" \
                -e "/^BINDIR = /s:=.*:=\$(DESTDIR)${GAMES_BINDIR}:" \
@@ -52,14 +56,13 @@
                -e "/^GROUP = /s:=.*:=${GAMES_GROUP}:" \
                -e "/^CC = /s:=.*:=$(tc-getCC):" \
                -e '/^LFLAGS = /s:=.*:= $(LDFLAGS):' \
-               Makefile \
-               || die "sed failed"
-       mv doc/moria.6 "${S}" || die "mv failed"
+               Makefile || die
+       mv doc/moria.6 "${S}" || die
 }
 
 src_install() {
        dodir "${GAMES_BINDIR}" "${GAMES_DATADIR}/${PN}" "${GAMES_STATEDIR}"
-       emake DESTDIR="${D}" install || die "emake install failed"
+       emake DESTDIR="${D}" install
 
        doman moria.6
        dodoc README doc/* "${WORKDIR}"/${PN}-extras/*



1.10                 games-roguelike/moria/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-roguelike/moria/ChangeLog?rev=1.10&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-roguelike/moria/ChangeLog?rev=1.10&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-roguelike/moria/ChangeLog?r1=1.9&r2=1.10

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/games-roguelike/moria/ChangeLog,v
retrieving revision 1.9
retrieving revision 1.10
diff -u -r1.9 -r1.10
--- ChangeLog   5 May 2010 20:28:21 -0000       1.9
+++ ChangeLog   2 Nov 2014 01:50:49 -0000       1.10
@@ -1,6 +1,10 @@
 # ChangeLog for games-roguelike/moria
-# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/games-roguelike/moria/ChangeLog,v 1.9 
2010/05/05 20:28:21 mr_bones_ Exp $
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/games-roguelike/moria/ChangeLog,v 1.10 
2014/11/02 01:50:49 mr_bones_ Exp $
+
+  02 Nov 2014; Michael Sterrett <[email protected]>
+  +files/5.5.2-warnings.patch, files/5.5.2-glibc.patch, moria-5.5.2.ebuild:
+  EAPI=5; build with ncurses[tinfo] (bug #527654)
 
   05 May 2010; Michael Sterrett <[email protected]>
   +files/5.5.2-hours.patch, moria-5.5.2.ebuild:




Reply via email to